# 3. kapitola Statistick indukce
#
rm(list=ls())
#
#  vky mu
#
data(Stulong)
set.seed(17)
VYBER <- sample(nrow(Stulong),25,replace=FALSE)
vky <- Stulong[VYBER,"vka"] # vybere a vype 25 vek
# popisn statistiky:
mean(vky)             # prmr
sd(vky)               # smrodatn odchylka
qt(0.975,24)            # kritick hodnota
(pm <- sd(vky)/sqrt(length(vky))*qt(0.975,24))
mean(vky)+c(-1,1)*pm
#
# simulovan vbry a intervaly spolehlivosti
#
data(Matky)			           # pod vk matek
(mu <- mean(matky))           # populan prmr
(sigma <- sd(matky))          # populan smrodatn odchylka
(B <- 50)                     # poet simulovanch vbr
(n <- 100)                    # rozsah vbru
(spol <- 0.95)                # poadovan spolehlivost
# kritick hodnota/odmocnina z n:
(c <- qt(1-(1-spol)/2,n-1)/sqrt(n))
# piprav uloen prmr a smrodatnch odchylek
prmr <- odchylka <- rep(NA,length=B)
# zruenm nsledujcho dku nebo zmnou konstanty 17
# 		dostaneme jin prmry a intervaly spolehlivosti:
set.seed(17)                  # vchoz hodnota genertoru
for (b in 1:B){
  x = sample(matky,n)         # pozen vbru
  prmr[b] <- mean(x)
  odchylka[b] <- sd(x)
}
# rozsah hodnot y (aby se vely vechny intervala spolehlivosti)
(ylim <- range(prmr-odchylka*c,prmr+odchylka*c))
# piprav graf, nakresli prmry
plot(1:B,prmr,ylim=ylim,xlab="simulace",ylab="int. spol.",pch=3)
abline(h=mu,lty=3)             #  vyzna populan prmr
# zjisti, kdy je populan prmr mimo interval:
MIMO <- (abs(prmr-mu)>=c*odchylka)
arrows(1:B,prmr-c*odchylka,1:B,prmr+c*odchylka,
    length=0,lwd=ifelse(MIMO,3,1))
#
# oven pedstavy o normlnm rozdlen prmr
# zpsobenm centrln limitn vtou
qqnorm(prmr); qqline(prmr)
shapiro.test(prmr)
#
# pravdpodobnosti vsledk hod kostkou
#
kk <- 21:26
tab <- round(cbind(kk,dbinom(kk,100,1/6),
  1-pbinom(kk,100,1/6)),6)
rownames(tab) <- rep("",nrow(tab))
colnames(tab) <- c("k_0","P(Y=k_0)","P(Y>k_0)")
tab
#
1-pbinom(29,100,1/6)
#
(k_0 <- qbinom(0.05,size=100,prob=1/6, lower.tail = FALSE))
#
pp <- seq(0.2,0.4,by=0.05)
tab <- round(cbind(pp,dbinom(k_0,size=100,prob=pp),
  pbinom(k_0,size=100,prob=pp,lower.tail=FALSE)),6)
rownames(tab) <- rep("",nrow(tab))
colnames(tab) <- c("pi_1","P(Y=k_0)","P(Y>k_0)")
tab
#
nn <- seq(100,900,by=200)
k_0 <- qbinom(0.05,size=nn,prob=1/6,lower.tail=FALSE)
sla <- round(pbinom(k_0,size=nn,prob=1/5,lower.tail=FALSE),3)
tab <- cbind(nn,k_0,sla)
rownames(tab) <- rep("",nrow(tab))
colnames(tab) <- c("n","k_0","sla")
tab
#
# est stran hrac kostky
#
(nn <- c(15,14,15,26,10,20))
(n <- sum(nn))
(o <- n*(1/6))
(chisq <- sum((nn-o)^2/o))
qchisq(0.95,5)
# p-hodnota = pst, e by vyla statistika jet vt nebo stejn:
1-pchisq(chisq,5)
