# 4. kapitola    Jeden vbr
#
rm(list=ls())
#
# pklad vky mu
#
set.seed(17)
data(Stulong)
vky <- Stulong[sample(nrow(Stulong),25),"vka"]
(prum <- mean(vky))
(sd <- sd(vky))
(n <- length(vky))
(t <- t.test(vky,mu=180)$stat)
#
t.test(vky,mu=180)
#   jednostrann alternativa
t.test(vky,mu=175,alternative="greater")
#
#	sla testu
#	obr. 4.1
#
xx <- seq(165,195,length=101)
nn <- c(25,10,50,100)
k <- length(nn)
par(mar=c(4,4,1,1)+0.1)
plot(xx,
  power.t.test(n=nn[1],delta=xx-180,sd=8,
      sig.level=0.05,type="one.sample",strict=TRUE)$power,
  type="l",xlab=expression(mu),ylab="sla",ylim=0:1)
for (i in 2:k) lines(xx,
  power.t.test(n=nn[i],delta=xx-180,sd=8,
      sig.level=0.05,type="one.sample",strict=TRUE)$power,
      col=i,lty=i)
legend("right",legend=paste("n =",nn),lty=1:k,col=1:k)
abline(h=0.05,lty=3)
# pprava vyznaen sly testu pi alternativ mu=185, n=25
#	pklad 4.3
(pp <- power.t.test(n=25,delta=185-180,sd=8,type="one.sample",
    sig.level=0.05,strict=TRUE))
abline(h=pp$power,lty=3)
#	pklad 4.4
power.t.test(delta=175-180,sd=8,sig.level=0.05,power=0.9,
  type="one.sample",alternative="two.sided")
# oven normality
qqnorm(vky)
qqline(vky)
shapiro.test(vky)
#
# prov t-test
#
# pklad    systolick tlak
#
data(Stulong)
set.seed(27) # nastaven genertoru nh. sel
VYBER <- sample(nrow(Stulong),25,replace=FALSE)
syst1 <- Stulong[VYBER,"syst1"]
syst2 <- Stulong[VYBER,"syst2"]
cbind(syst1 ,syst2, syst1-syst2)
#
plot(syst1,syst2)
abline(0,1)
#	pklad 4.7
t.test(syst1,syst2,paired=TRUE)
#
shapiro.test(syst1-syst2)
#
# znamnkov test
#
(n <- sum(syst1!=syst2))   # symbol != znamen nen rovno
(y <- sum(syst1>syst2))
(z <- (y-n/2)/sqrt(n/4))
(p <- 2*pnorm(-abs(z)))
binom.test(y,n,p=1/2)
#
# Wilcoxonv test
#
(X <- (syst1-syst2)[syst1!=syst2])
(Rplus <- rank(abs(X)))
(W <- sum(Rplus[X>0]))
(Z <- (W-n*(n+1)/4)/sqrt(n*(n+1)*(2*n+1)/24))
(p <- 2*pnorm(-abs(Z)))
wilcox.test(syst1,syst2,paired=TRUE)
#
# test o binomick pravdpodobnosti
#
# pklad podl nekuk
#
prop.test(106,204,p=0.45)
prop.test(x=106,n=204,p=0.45,correct=FALSE)
binom.test(106,204,0.45)
#
#	bn interval spolehlivosti
#
n = 204; Y = 106
(pHat = Y/n)
(kappa = qnorm(0.975))
(pm = sqrt(pHat*(1-pHat)/n)*kappa)
pHat+c(-1,1)*pm
#
#	Wilsonv interval spolehlivosti
#
(pW = (Y+kappa^2/2)/(n+kappa^2))
(pmW = kappa*sqrt(n*pHat*(1-pHat)+kappa^2/4)/(n+kappa^2))
pW+c(-1,1)*pmW
#

