# 8. kapitola  Kontingenn tabulky
#
rm(list=ls())
#
#  pklad krevn skupiny
#
nn <- c(31,17,9,32)
n <- sum(nn)
psti  <- c(0.45,0.19,0.06,0.3)
nnPct <- 100*nn/n
tab <- rbind(nn,round(nnPct,2),100*psti,round(n*psti,2))
tab <- cbind(tab,apply(tab,1,sum))
rownames(tab) = c("empirick etnosti",   "podl ve vbru [%]",
  "podl v populaci [%]","oekvan etnosti")
colnames(tab) = c("A","B","AB","0","celkem")
tab
#
chisq.test(c(31,17,9,32),p=c(0.45,0.19,0.06,0.3))
chisq.test(c(31,17,9,32),p=c(0.45,0.19,0.06,0.3))$expected
#
# pklad kojen
#
data(Kojeni)
tab <- addmargins(kt <- xtabs(~Plan+Vzdelani,data=Kojeni))
rownames(tab) = c("neplnovno","plnovno","celkem")
colnames(tab)[4] = "celkem"
tab
#
with(Kojeni,chisq.test(Plan,Vzdelani))
with(Kojeni,chisq.test(Plan,Vzdelani))$expected
#
addmargins(kt <- xtabs(~Porodnice+Vzdelani,data=Kojeni))
round(100*addmargins(prop.table(kt,1),2),2)
#
chisq.test(kt)
chisq.test(kt)$expected
#
# pklad vno
#
data(Stulong)
tab <- xtabs(~Skupina+Vno,data=Stulong,
  subset=Skupina%in%c("RSK","RSI"),drop.unused.levels=TRUE)
addmargins(tab)
chisq.test(tab)
chisq.test(tab,correct=FALSE)
#
# pklad hrac kostky
#
tab <- matrix(c(4,12,21,13),nrow=2,ncol=2)
tabulka <- addmargins(tab) # kontroln tisk
rownames(tabulka) <- c("erven","modr","celkem")
colnames(tabulka) <- c("estka","ostatn","bod")
tabulka
fisher.test(tab)
#
# pklad hrabo
#
tab <- matrix(c(4,11,27,473),nrow=2,ncol=2)
chisq.test(tab,correct = FALSE)
chisq.test(tab)
chisq.test(tab)$expected
fisher.test(tab)
#	simulsce v chisq.test
set.seed(155)
chisq.test(tab,simulate.p.value=TRUE,B=10000)
#
# McNemarv test
#
# pklad hrabo
#
mcnemar.test(tab)
mcnemar.test(tab,correct=FALSE)
#
