#
#	procedura k nakreslen tverc (metoda nejm. tverc)
ctverce = function(x,y,pch=3,lty=1,ltySq=3,colSq=1,xNAME=" ",yNAME=" "){
#	x,y	souadnice kreslench bod
#	a	model, jeho pmku kreslme
a = lm(y~x)
nd = data.frame(x)
names(nd) = names(a$model)[2]
yFit = predict(a,newdata=nd)
u = y-yFit
q = (max(x)-min(x))/(max(y)-min(y))
ylim = range(c(y,yFit))
##xlim = range(c(x,x-u,x+u))
xlim = range(c(x,x-u*q))
par(mar=c(4,4,1,1)+0.1)
plot(x,y,pch=pch,xlim=xlim,ylim=ylim,xlab=xNAME,ylab=yNAME,asp=q)
abline(a,lty=lty)
for (i in 1:length(y)){
	xx = c(x[i],x[i],x[i]-q*u[i],x[i]-q*u[i],x[i])
	yy = c(y[i],rep(yFit[i],2),y[i],y[i])
	lines(xx,yy,lty=ltySq,col=colSq)
	}
points(x,y,pch=pch)
}
